import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePaidFeesEditDescription = createAsyncThunk(
  "PROVINCE_PAID_FEES_EDIT_DESCRIPTION",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("internal-transactions/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
